Class | Rack::ConditionalGet
In: | lib/action_controller/vendor/rack-1.0/rack/conditionalget.rb
Parent: | Object

Middleware that enables conditional GET using If-None-Match and If-Modified-Since. The application should set either or both of the Last-Modified or Etag response headers according to RFC 2616. When either of the conditions is met, the response body is set to be zero length and the response status is set to 304 Not Modified.

Applications that defer response body generation until the body‘s each message is received will avoid response body generation completely when a conditional GET matches.

Adapted from Michael Klishin‘s Merb implementation: github.com/wycats/merb-core/tree/master/lib/merb-core/rack/middleware/conditional_get.rb

### Methods

call new

### Public Class methods

new(app)

### Public Instance methods

call(env)

[Validate]